cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements

645
Views
0
Helpful
4
Replies
suryakant.chavan
Beginner

APIC CIMC version upgrade

We are planning to upgrade the APIC from 3.2(1m)--> 3.2.10-->4.2. Currently we are running CIMC version 2.0(3i) on APIC. Can we upgarde the APIC without upgrading CIMC version? Or Do we require to upgrade the CIMC version then to what version or is there recommended path that needs to be follow.

4 REPLIES 4
a12288
Beginner

I always upgrade CIMC to the recommended release according to the ACI release notes, and normally I will upgrade CIMC at first then ACI upgrade on a different maintenance window, last time CIMC (4.1.1g) upgrade took 3 hours on each APIC.

Robert Burns
Cisco Employee

***Note: I'm assuming you're running Gen1 APICs (APIC-L1/M1)

Looks like your IMC is already outdated for what you're running currently.  (2.0(3i) was only support on APIC 2.x and lower)
I'd upgrade your IMC first to the proper version to match your existing APIC version [3.0(4l)], which will cover you for both the current and upgrade to 3.2(10) & 4.2. 
After that:

Upgrade Fabric 3.2(1) > 3.2(10)

Then 3.2(10) > 4.2(x)
(IMC version doesn't change between 3.2(10) & 4.2 for Gen1 APICs)

 

Robert

 

Thanks you for your reply !!

We are using APIC-L2. 

Per documentation we should go for 4.1(2b) ri support 4.2 (x).

 

Will 41(2b) support to both 3.2(x) and 4.2 (X).Also is there any upgrade path we have to follow for CIMC version like APIC version.

 

Always follow the support matrix.  Even for multi-hop upgrades.
https://www.cisco.com/c/dam/en/us/td/docs/Website/datacenter/apicmatrix/index.html

Robert

Content for Community-Ad